%define	cvstag	PACKAGE_3_00_1

Summary:	The Guardian Digital Secure User Manager
Group:		System Environment/Daemons
License:	GPL
Name:		userpass
Version:	3.00
Release:	1
Source0:	%{name}-%{cvstag}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch
Provides:	WebTool-userpass
Obsoletes:	WebTool-userpass

%description
The Guardian Digital Secure User Manager is a web-based, end-user
password changer and SSH key generator program for EnGarde Secure Linux.

%files
  %defattr(0444,root,root,0555)

  # /usr/userpass/modules/
  %attr(0500,root,root)		%{_prefix}/userpass/index.cgi
  %attr(0500,root,root)		%{_prefix}/userpass/modules/index.cgi
  %attr(0500,root,root)		%{_prefix}/userpass/modules/*/*.cgi
  %attr(0400,root,root)		%{_prefix}/userpass/modules/*/*.pm
  %attr(0400,root,root)		%{_prefix}/userpass/modules/*/lang/*
  %attr(0400,root,root)		%{_prefix}/userpass/modules/*/templates/*.tmpl

  # /usr/userpass/images/
  %attr(0400,root,root)		%{_prefix}/userpass/images/*.gif
  %attr(0400,root,root)		%{_prefix}/userpass/images/*.png
  %attr(0500,root,root)		%{_prefix}/userpass/images/index.cgi

  # /usr/userpass/templates/
  %attr(0400,root,root)		%{_prefix}/userpass/templates/*.css

  # /etc/userpass
  %attr(0600,root,root)		%config(noreplace) %{_sysconfdir}/userpass/*

  # Everything else.
  %attr(0500,root,root)		%{_sbindir}/userpassd
  %attr(0500,root,root)		%{_sysconfdir}/init.d/userpass
  %attr(0640,root,admin)	%{_sysconfdir}/logrotate.d/userpass
  %attr(0600,root,root)		%{_sysconfdir}/pam.d/userpass

%prep
%setup -q -n %{name}-%{cvstag}

%build

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  install -d $RPM_BUILD_ROOT/%{_prefix}/userpass
  install -d $RPM_BUILD_ROOT/%{_sbindir}
  install -d $RPM_BUILD_ROOT/%{_sysconfdir}/init.d
  install -d $RPM_BUILD_ROOT/%{_sysconfdir}/logrotate.d
  install -d $RPM_BUILD_ROOT/%{_sysconfdir}/pam.d
  install -d $RPM_BUILD_ROOT/%{_sysconfdir}/userpass

  # Install the Secure User Manager.
  for i in images index.cgi modules templates
  do
	%{__cp} -a $i $RPM_BUILD_ROOT/%{_prefix}/userpass
  done

  # Everything else.
  %{__cp} -a userpassd/userpassd           $RPM_BUILD_ROOT/%{_sbindir}
  %{__cp} -a userpassd/userpassd.init      $RPM_BUILD_ROOT/%{_sysconfdir}/init.d/userpass
  %{__cp} -a userpassd/userpassd.logrotate $RPM_BUILD_ROOT/%{_sysconfdir}/logrotate.d/userpass
  %{__cp} -a userpassd/userpassd.pam       $RPM_BUILD_ROOT/%{_sysconfdir}/pam.d/userpass

  for i in openssl.cnf userpassd.conf
  do
	%{__cp} -a userpassd/$i $RPM_BUILD_ROOT/%{_sysconfdir}/userpass
  done

%post
  if [ -f /var/lock/subsys/userpass ]; then
        %{_sysconfdir}/init.d/userpass restart || :
  fi

%preun
  if [ $1 = 0 ]; then
    %{_sysconfdir}/init.d/userpass stop > /dev/null 2>&1 || :
    %{_root_sbindir}/chkconfig --del userpass || :
  fi

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Sep 26 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 3.00, Release 1
  - First production-ready version for EnGarde Secure Linux 3.0.
  - Previous changelog entries removed.
